Ogre::GLUniformReference Struct Reference

Structure used to keep track of named uniforms in the linked program object. More...

`#include <OgreGLSLLinkProgram.h>`

List of all members.

## Public Attributes

GLint | mLocation
| GL location handle.
GpuProgramType | mSourceProgType
| Which type of program params will this value come from?
const GpuConstantDefinition * | mConstantDef
| The constant definition it relates to.

## Detailed Description

Structure used to keep track of named uniforms in the linked program object.

Definition at line 37 of file OgreGLSLLinkProgram.h.

## Member Data Documentation

const GpuConstantDefinition * Ogre::GLUniformReference::mConstantDef

The constant definition it relates to.

Definition at line 44 of file OgreGLSLLinkProgram.h.

GLint Ogre::GLUniformReference::mLocation

GL location handle.

Definition at line 40 of file OgreGLSLLinkProgram.h.

GpuProgramType Ogre::GLUniformReference::mSourceProgType

Which type of program params will this value come from?

Definition at line 42 of file OgreGLSLLinkProgram.h.

The documentation for this struct was generated from the following files:

- OgreGLSLLinkProgram.h
- OgreGLSLESProgramCommon.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:55